[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Problem in recompiling 2.4.18-14.



Hi Guys,

While recompiling 2.4.18-14 I get kernel/module version
mismatch errors from insmod at boot time and eventually resulting in a kernel panic .I'm compiling my kernel following all usual steps doing a proper make clean and make mrproper.



Here are error messages I get :


Loading jbd.o module
/lib/jbd.o: kernel-module version mismatch
          /lib/jbd.o was compiled for kernel version 2.4.18-18.7.x
          while this kernel is version 2.4.18-18.7.xcustom
ERROR: /bin/insmod exited abnormally!
Loading ext3.o module
/lib/ext3.o: kernel-module version mismatch
          /lib/ext3.o was compiled for kernel version 2.4.18-18.7.x
          while this kernel is version 2.4.18-18.7.xcustom
ERROR: /bin/insmod exited abnormally!
mounting /proc filesystem
Creating root device
mounting root filesystem
kmod: failed to exec /sbin/modprobe -s -k ext3, errno = 2
kmod: failed to exec /sbin/modprobe -s -k freeext3, errno = 2
mount: error 19 mounting ext3
pivotroot: pivot_root(/sysroot, /sysroot/initrd) failed: 2
Freeing unused kernel memory: 292k freed
kernel panic: No init found.

Looking forward for a timely and valuable help.

Thanks and regards,
Vijay



_________________________________________________________________
Cricket World Cup 2003- News, Views and Match Reports. http://server1.msn.co.in/msnspecials/worldcup03/






[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]